"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.shared = exports.Shared = void 0;
class Shared {
    constructor() {
        this.store = {};
    }
    register(key, value) {
        this.store[key] = value;
    }
    get(key) {
        const service = this.store[key];
        if (!service) {
            throw new Error(`Shared service ${key} not registered`);
        }
        return service;
    }
    has(key) {
        return !!this.store[key];
    }
}
exports.Shared = Shared;
exports.shared = new Shared();
